# Copyright (c) 2024 DTB <trinity@trinity.moe>
# Copyright (c) 2024 Emma Tebibyte <emma@tebibyte.media>
# SPDX-License-Identifier: FSFAP
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.  This file is offered as-is, without any warranty.

.PHONY: intcmp_tests
intcmp_tests: intcmp_e intcmp_g intcmp_l

.PHONY: intcmp_e
intcmp_e: $(BIN)/intcmp
	$(BIN)/intcmp -e     3 3 3
	! $(BIN)/intcmp -e   1 2 3

.PHONY: intcmp_g
intcmp_g: $(BIN)/intcmp
	$(BIN)/intcmp -g     3 2 1
	! $(BIN)/intcmp -g   1 3 3
	$(BIN)/intcmp -ge    3 3 1
	! $(BIN)/intcmp -ge  1 2 3

.PHONY: intcmp_l
intcmp_l: $(BIN)/intcmp
	$(BIN)/intcmp -l     1 2 3
	! $(BIN)/intcmp -l   3 3 1
	$(BIN)/intcmp -le    1 3 3
	! $(BIN)/intcmp -le  3 2 1

.PHONY: intcmp_combined
intcmp_combined: $(BIN)/intcmp
	$(BINARY) -gl    1 2 3
	! $(BINARY) -gl  3 3 3
	$(BINARY) -egl   3 1 1 2
	! $(BINARY) -egl foo
